Subject: RE: Consensus on direction needed (was Re: [Sip] Re:draft-ietf-sip-congestsafe-02.txt)]

From: [email-masked]
Date: Fri, 7 Nov 2003 09:19:11 +0200

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> Dean Willis
> Sent: Thursday, November 06, 2003 11:11 PM
> To: [email-masked]; [email-masked]
> Subject: Consensus on direction needed (was Re: [Sip]
> Re:draft-ietf-sip-congestsafe-02.txt)]
> 
> 
> Here's the deal. Before long, EVERY e2e-secured SIP request 
> or response
> is going to be bigger than one packet. The security people 
> aren't going
> to give up on e2e.
> 
> This gives us two viable alternatives, as I see them:
> 
> 1) Deprecate UDP usage in SIP.
> 
> 2) Deprecate SIP.
> 
> Since #2 would leave me unemployed :-(, the question I'm interested is
> how to do #1.
> 
> Three possibilities suggest themselves, and I'd like to get a sense of
> consensus from the group on the direction (or other suggestions, if
> there are any).
> 
> 1) Leave the UDP stuff in place, but convince people not to use it by
> doing a "UDP Considered Harmful for SIP" BCP,  (which Scott 
> seems to be
> suggesting). 
> 
> 2) Leave the UDP stuff in place, but give people tools to keep it from
> being used (which this draft suggests).
> 
> 3) Rev the spec to 3.0 and rip UDP out by the toenails.
> 
> Any other ideas? What is the right thing to do here?

I prefer 1. I would not deprecate UDP completely, it has its uses. We can also extend option 1 so that the default transport protocol is TCP if the transport parameter is not present.

Regards,
Hisham

> 
> --
> Dean
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip